Jala 1.3

## Class jala.Date.Calendar

    Object
       |
       +--jala.Date.Calendar

class jala.Date.Calendar

This class represents a calendar based based on a grouped collection of HopObjects. It provides several methods for rendering the calendar plus defining locale and timezone settings.
Defined in Date.js

Nested Class Summary
`<static class>` | `jala.Date.Calendar.Renderer`

Constructor Summary
`jala.Date.Calendar (<HopObject> collection)` Creates a new instance of jala.Data.Calendar

Method Summary
`String` | `getAccessNameFormat()` Returns the format of the access name used by this calendar to access child group objects of the collection this calendar is operating on.
`String` | `getCalendar(today)` Returns a rendered calendar
`HopObject` | `getCollection()` Returns the collection this calendar object works on
`String` | `getHrefFormat()` Returns the date formatting pattern used to render hrefs.
`java.util.Locale` | `getLocale()` Returns the locale used within this calendar instance.
`Object` | `getRenderer()` Returns the renderer used by this calendar.
`java.util.Locale` | `getTimeZone()` Returns the locale used within this calendar instance.
`void` | `render(today)` Renders the calendar using either a custom renderer defined using setRenderer() or the default one.
`void` | `setAccessNameFormat(<String> fmt)` Sets the format of the group name to use when trying to access child objects of the collection this calendar is operating on.
`void` | `setHrefFormat(<String> fmt)` Sets the format of the hrefs to render by this calendar to the format pattern passed as argument.
`void` | `setLocale(<java.util.Locale> loc)` Sets the locale to use within this calendar object
`void` | `setRenderer(<Object> r)` Sets the renderer to use.
`void` | `setTimeZone(tz)` Sets the locale to use within this calendar object

Constructor Detail

### jala.Date.Calendar

    jala.Date.Calendar(<HopObject> collection)

Creates a new instance of jala.Data.Calendar

Parameters:

`collection` - A grouped HopObject collection to work on

Returns:

A newly created jala.Date.Calendar instance

Method Detail

### getAccessNameFormat

    String getAccessNameFormat()

Returns the format of the access name used by this calendar to access child group objects of the collection this calendar is operating on. The default format is "yyyyMMdd".

Returns:

The date formatting pattern used to access child objects

See:

- setAccessNameFormat()

### getCalendar

    String getCalendar(today)

Returns a rendered calendar

See:

- renderCalendar

### getCollection

    HopObject getCollection()

Returns the collection this calendar object works on

Returns:

The HopObject collection of this calendar

### getHrefFormat

    String getHrefFormat()

Returns the date formatting pattern used to render hrefs. The default format is "yyyyMMdd".

Returns:

The date formatting pattern

See:

- setHrefFormat()

### getLocale

    java.util.Locale getLocale()

Returns the locale used within this calendar instance. By default the locale used by this calendar is the default locale of the Java Virtual Machine running Helma.

Returns:

The locale of this calendar

See:

- setLocale()

### getRenderer

    Object getRenderer()

Returns the renderer used by this calendar.

Returns:

The calendar renderer

See:

- setRenderer()

### getTimeZone

    java.util.Locale getTimeZone()

Returns the locale used within this calendar instance. By default the timezone used by this calendar is the default timezone of the Java Virtual Machine running Helma.

Returns:

The locale of this calendar

See:

- setTimeZone()

### render

    void render(today)

Renders the calendar using either a custom renderer defined using setRenderer() or the default one.

See:

- setRenderer()
- jala.Date.Calendar.Renderer

### setAccessNameFormat

    void setAccessNameFormat(<String> fmt)

Sets the format of the group name to use when trying to access child objects of the collection this calendar is operating on.

Parameters:

`fmt` - The date format pattern to use for accessing child objects

See:

- getAccessNameFormat()

### setHrefFormat

    void setHrefFormat(<String> fmt)

Sets the format of the hrefs to render by this calendar to the format pattern passed as argument.

Parameters:

`fmt` - The date format pattern to use for rendering the href

See:

- getHrefFormat()

### setLocale

    void setLocale(<java.util.Locale> loc)

Sets the locale to use within this calendar object

Parameters:

`loc` - The locale to use

See:

- getLocale()

### setRenderer

    void setRenderer(<Object> r)

Sets the renderer to use.

Parameters:

`r` - The renderer to use

See:

- getRenderer()

### setTimeZone

    void setTimeZone(tz)

Sets the locale to use within this calendar object

Parameters:

`loc` - The locale to use

See:

- getTimeZone()

Jala 1.3

Documentation generated by JSDoc on Tue Jan 8 15:45:31 2008